Bug 562993 - Review Request: rubygem-yard - Documentation tool for consistent and usable documentation in Ruby
Summary: Review Request: rubygem-yard - Documentation tool for consistent and usable d...
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Mamoru TASAKA
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 562998
TreeView+ depends on / blocked
 
Reported: 2010-02-08 23:49 UTC by Mo Morsi
Modified: 2010-10-13 15:11 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-03-12 16:27:28 UTC
mtasaka: fedora-review+
tcallawa: fedora-cvs+


Attachments (Terms of Use)

Description Mo Morsi 2010-02-08 23:49:01 UTC
Spec URL: http://mo.morsi.org/files/gems/rubygem-yard.spec
SRPM URL: http://mo.morsi.org/files/gems/rubygem-yard-0.5.3-1.fc12.src.rpm
Description:
YARD is a documentation generation tool for the Ruby programming language.
It enables the user to generate consistent, usable documentation that can be
exported to a number of formats very easily, and also supports extending for
custom Ruby constructs such as custom class level definitions.

rpmlint rpmbuild/RPMS/noarch/rubygem-yard-0.5.3-1.fc12.noarch.rpm 
rubygem-yard.noarch: W: no-documentation

gem build process fails to build rdoc/ri due to what seems to be error when parsing code for docs. Nothing can be done to generate docs while maintaining all necessary code so for full rubygem-operation.

rubygem-yard.noarch: W: hidden-file-or-dir /usr/lib/ruby/gems/1.8/gems/yard-0.5.3/.yardopts

This file is necessary / used by rubygem-yard

1 packages and 0 specfiles checked; 0 errors, 2 warnings.


rpmlint rpmbuild/SRPMS/rubygem-yard-0.5.3-1.fc12.src.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.


Koji Build: http://koji.fedoraproject.org/koji/taskinfo?taskID=1970412

Comment 1 Mamoru TASAKA 2010-02-12 18:26:58 UTC
Some notes:

* Macros
  - Defined %ruby_sitelib is used nowhere
  - Please use defined %geminstdir also in %files 

* ruby(abi) dependency
  - "Requires: ruby(abi) = 1.8" dependency is missing
    https://fedoraproject.org/wiki/Packaging/Ruby#Ruby_Packaging_Guidelines

* License
--------------------------------------------------------
Overall:	MIT

GPLv2 or Ruby
./lib/yard/parser/c_parser.rb
--------------------------------------------------------
  - License tag should be "MIT and (GPLv2 or Ruby)".

* SourceURL
  - We usually use http://gems.rubyforge.org/gems/%{gemname}-%{version}.gem

* Documents
  - "ChangeLog", "LICENSE", "README.md" under %geminstdir should properly be
    marked as %doc (and we usually also mark Rakefile as %doc)
  - Also benckmarks/ docs/ spec/ templates/ directories can be marked
    as %doc
    (and please consider to split these files/directories into -doc
     subpackage)

* %check
  - As this package contains spec/ directory, please add %check section
    and execute some test program (like $ rake spec) there.

Comment 2 Mo Morsi 2010-02-17 21:21:46 UTC
(In reply to comment #1)
> Some notes:
> 
> * Macros
>   - Defined %ruby_sitelib is used nowhere
>   - Please use defined %geminstdir also in %files 

Done

> 
> * ruby(abi) dependency
>   - "Requires: ruby(abi) = 1.8" dependency is missing
>     https://fedoraproject.org/wiki/Packaging/Ruby#Ruby_Packaging_Guidelines

Done

> 
> * License
> --------------------------------------------------------
> Overall: MIT
> 
> GPLv2 or Ruby
> ./lib/yard/parser/c_parser.rb
> --------------------------------------------------------
>   - License tag should be "MIT and (GPLv2 or Ruby)".

Done

> 
> * SourceURL
>   - We usually use http://gems.rubyforge.org/gems/%{gemname}-%{version}.gem

gemcutter has recently replaced rubyforge as the default/official rubygem gem hosting location and thus I'm thinking we should get all our rubygem packages from there from now on

http://update.gemcutter.org/2009/10/26/transition.html


> 
> * Documents
>   - "ChangeLog", "LICENSE", "README.md" under %geminstdir should properly be
>     marked as %doc (and we usually also mark Rakefile as %doc)
>   - Also benckmarks/ docs/ spec/ templates/ directories can be marked
>     as %doc
>     (and please consider to split these files/directories into -doc
>      subpackage)
> 
> * %check
>   - As this package contains spec/ directory, please add %check section
>     and execute some test program (like $ rake spec) there.  
  
Both done


Updated and uploaded new rubygem-yard rpm

Spec URL: http://mo.morsi.org/files/gems/rubygem-yard.spec
SRPM URL: http://mo.morsi.org/files/gems/rubygem-yard-0.5.3-2.fc12.src.rpm

Comment 3 Mamoru TASAKA 2010-02-18 07:24:49 UTC
(In reply to comment #2)
> (In reply to comment #1)
> > * SourceURL
> >   - We usually use http://gems.rubyforge.org/gems/%{gemname}-%{version}.gem
> 
> gemcutter has recently replaced rubyforge as the default/official rubygem gem
> hosting location and thus I'm thinking we should get all our rubygem packages
> from there from now on

Thank you for information.

For -2:
* BR (BuildRequires)
  - Please use "BR: rubygem(rake)" style. ref:
    https://fedoraproject.org/wiki/Packaging/Perl#Perl_Requires_and_Provides

? %check
  $ rake spec observes 1 test failure. Is this safe to ignore?
  (If patches to fix this failure is available, please apply)

* Directory ownership issue
  - The directory %geminstdir itself is not owned by any packages.
    https://fedoraproject.org/wiki/Packaging/UnownedDirectories#Common_Mistakes

Comment 4 Mo Morsi 2010-02-22 23:00:29 UTC
(In reply to comment #3)
> For -2:
> * BR (BuildRequires)
>   - Please use "BR: rubygem(rake)" style. ref:
>     https://fedoraproject.org/wiki/Packaging/Perl#Perl_Requires_and_Provides
> 
> ? %check
>   $ rake spec observes 1 test failure. Is this safe to ignore?
>   (If patches to fix this failure is available, please apply)

Was due to a missing dependency.

> 
> * Directory ownership issue
>   - The directory %geminstdir itself is not owned by any packages.
>     https://fedoraproject.org/wiki/Packaging/UnownedDirectories#Common_Mistakes    


All three issues are resolved.

Updated and uploaded new rubygem-yard spec / srpm

Spec URL: http://mo.morsi.org/files/gems/rubygem-yard.spec
SRPM URL: http://mo.morsi.org/files/gems/rubygem-yard-0.5.3-3.fc12.src.rpm

Comment 5 Mamoru TASAKA 2010-02-24 18:21:19 UTC
-----------------------------------------------------------
  This package (rubygem-yard) is APPROVED by mtasaka
-----------------------------------------------------------

Comment 6 Mo Morsi 2010-02-28 23:39:23 UTC
New Package CVS Request
=======================
Package Name: rubygem-yard
Short Description: Tool for consistent and usable documentation in Ruby
Owners: mmorsi
Branches: F-12, F-13
InitialCC:

Comment 7 Jason Tibbitts 2010-03-01 16:58:07 UTC
CVS done (by process-cvs-requests.py).

Comment 8 Mamoru TASAKA 2010-03-12 16:27:28 UTC
Closing.

Comment 9 Michael Stahnke 2010-10-11 21:49:31 UTC
Would you like to branch this for EPEL?  If you'd rather not maintain it, I'd be happy to.

Comment 10 Mo Morsi 2010-10-12 13:40:52 UTC
I wasn't planning on it, so feel free to go for it.

Comment 11 Michael Stahnke 2010-10-12 15:23:15 UTC
Package Change Request
======================
Package Name: rubygem-yard
New Branches: el5 el6
Owners: stahnma
InitialCC: 

See comment 10.

Comment 12 Tom "spot" Callaway 2010-10-13 15:11:05 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.